All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros
stan::math::promote_scalar_type< T, Eigen::Matrix< S, 1, Eigen::Dynamic > > Struct Template Reference

Template metaprogram to calculate a type for a row vector whose underlying scalar is converted from the second template parameter type to the first. More...

`#include <promote_scalar_type.hpp>`

## Public Types

typedef Eigen::Matrix < typename promote_scalar_type < T, S >::type, 1, Eigen::Dynamic > | type
| The promoted type. More...

## Detailed Description

### template<typename T, typename S>
struct stan::math::promote_scalar_type< T, Eigen::Matrix< S, 1, Eigen::Dynamic > >

Template metaprogram to calculate a type for a row vector whose underlying scalar is converted from the second template parameter type to the first.

Template Parameters

  T | result scalar type.
  S | input row vector scalar type

Definition at line 62 of file promote_scalar_type.hpp.

## Member Typedef Documentation

template<typename T , typename S >

typedef Eigen::Matrix<typename promote_scalar_type<T, S>::type, 1, Eigen::Dynamic> stan::math::promote_scalar_type< T, Eigen::Matrix< S, 1, Eigen::Dynamic > >::type

The promoted type.

Definition at line 68 of file promote_scalar_type.hpp.

The documentation for this struct was generated from the following file:

- stan/math/prim/mat/fun/promote_scalar_type.hpp

[ Stan Home Page ] © 2011–2015, Stan Development Team.